
Redmine - Defect #4381

Can not search for 2 letters word

2009-12-11 02:43 - Fatima Mojaddidy

Status: Closed Start date: 2009-12-11

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version: 0.9.0

Description

Hello we have been using Redmine for a couple of months now and just realized that if the subject has letters in uppercase, then

doing a search with that word fails to show up in Redmine.

Any ideas why or if there's a fix/workaround?

This is very annoying.

Associated revisions

Revision 3306 - 2010-01-10 15:15 - Jean-Philippe Lang

Fixed: can not search for 2 letters word (#4381).

History

#1 - 2009-12-11 02:48 - Fatima Mojaddidy

Upon further testing I believe its not the case of the letters but the number of letter put in the search box. Redmine will not search for two letter words.

#2 - 2009-12-12 12:16 - Jean-Philippe Lang

- Subject changed from Redmine unable to search for upper case letters to Can not search for 2 letters word

- Category set to Search engine

- Priority changed from Normal to Low

Words shorter than 3 characters are excluded from search:

source:/trunk/app/controllers/search_controller.rb@3039#L65

#3 - 2009-12-14 16:11 - David Bachmann

+1

We use lot of 2 characters abbreviations and cannot search for them because of this limitation.

Would be great to decrease the excluded length to 1 char (or even remove this limitation).

#4 - 2009-12-14 20:09 - Fatima Mojaddidy

We are in the same situation as David, can't search for 2 characters abbreviated words.

#5 - 2010-01-10 15:07 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.1

- Affected version (unused) set to 0.9.0

- Resolution set to Fixed

- Affected version set to 0.9.0

Fixed in r3306.

#6 - 2010-01-16 17:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

2025-08-23 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/3039/entry/trunk/app/controllers/search_controller.rb#L65
https://www.redmine.org/projects/redmine/repository/svn/revisions/3306


Merged in 0.9-stable in r3317.
